Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Class Element

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.user.client.Element

    public final class Element

extends JavaScriptObject

An opaque handle to a native DOM Element. An `Element` cannot be created directly. Instead, use the `Element` type when returning a native DOM element from JSNI methods. An `Element` passed back into JSNI becomes the original DOM element the `Element` was created from, and can be accessed in JavaScript code as expected. This is typically done by calling methods in the `DOM` class.

Field Summary

Fields inherited from class com.google.gwt.core.client.JavaScriptObject
`hostedModeReference`

Constructor Summary
`protected` | `Element()` Not directly instantiable.

Method Summary
`boolean` | `equals(java.lang.Object other)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`createArray, createFunction, createObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Element

    protected Element()

  Not directly instantiable. Subclasses should also define a protected no-arg constructor to prevent client code from directly instantiating the class.

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `JavaScriptObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `JavaScriptObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `JavaScriptObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD